Bug 202417 - [MAINTAINER] sysutils/py-salt: Update to 2015.5.4
Summary: [MAINTAINER] sysutils/py-salt: Update to 2015.5.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Unovitch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-18 14:21 UTC by Christer Edwards
Modified: 2015-08-24 03:04 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.35 KB, text/plain)
2015-08-18 14:21 UTC, Christer Edwards
no flags Details
py27-salt-2015.5.4.patch (revised) (3.36 KB, patch)
2015-08-23 14:51 UTC, Jason Unovitch
no flags Details | Diff
Poudriere testport log from 10.1-RELEASE jail (320.93 KB, text/x-log)
2015-08-23 14:54 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2015-08-18 14:21:27 UTC
Created attachment 159980 [details]
patch

Maintainer update to sysutils/py-salt 2015.5.4 bugfix release.
Comment 1 Jason Unovitch freebsd_committer 2015-08-23 00:03:46 UTC
Take for testing.
Comment 2 Jason Unovitch freebsd_committer 2015-08-23 14:51:12 UTC
Created attachment 160250 [details]
py27-salt-2015.5.4.patch (revised)

Pending mentor approval, revised patch that includes the salt_api rc script in https://bugs.FreeBSD.org/202042

sysutils/py-salt: update 2015.5.3 -> 2015-5.4 [1], add salt_api rc script [2]

PR:		202417 [1]
PR:		202042 [2]
Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer) [1]
Submitted by:	xenophon+fbsdports@irtnog.org [2]
Approved by:	maintainer [2], feld|delphij|pgollucci (mentor)
Comment 3 Jason Unovitch freebsd_committer 2015-08-23 14:54:07 UTC
Created attachment 160251 [details]
Poudriere testport log from 10.1-RELEASE jail

Portlint:
% portlint -ac
looks fine.

Poudriere:
10.1-RELEASE log attached and I didn't note any QA errors.  I also build tested on the following:
9.3-RELEASE-p21      amd64
9.3-RELEASE-p21      i386
10.1-RELEASE-p17     amd64
10.1-RELEASE-p17     i386
10.2-RELEASE         amd64
10.2-RELEASE         i386
11.0-CURRENT r286886 amd64
11.0-CURRENT r286888 i386
Comment 4 commit-hook freebsd_committer 2015-08-23 23:46:51 UTC
A commit references this bug:

Author: junovitch
Date: Sun Aug 23 23:46:48 UTC 2015
New revision: 395146
URL: https://svnweb.freebsd.org/changeset/ports/395146

Log:
  sysutils/py-salt: update 2015.5.3 -> 2015.5.4 [1], add salt_api rc script [2]

  PR:		202417 [1]
  PR:		202042 [2]
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer) [1]
  Submitted by:	xenophon+fbsdports@irtnog.org [2]
  Approved by:	maintainer [2], feld (mentor)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/files/salt_api.in
  head/sysutils/py-salt/pkg-plist
Comment 5 Jason Unovitch freebsd_committer 2015-08-23 23:50:08 UTC
Committed. Thank you Christer!
Comment 6 Christer Edwards 2015-08-24 03:04:22 UTC
Please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=202610 for an urgent bugfix release to address a cpu load issue in 2015.5.4.